> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2bookingdepartures



## OpenAPI

````yaml /openapi/ibis-api.openapi.json get /api/v2/booking/departures
openapi: 3.0.0
info:
  version: v2
  title: IbisNx.API v2
servers:
  - url: https://online.ibisres.com
security: []
paths:
  /api/v2/booking/departures:
    get:
      tags:
        - NxServerApi
      operationId: NxServerApi_BookingDepartures
      parameters:
        - name: days
          in: query
          required: false
          schema:
            format: int32
            type: integer
        - name: date
          in: query
          required: false
          schema:
            format: date-time
            type: string
        - name: sector_code_start
          in: query
          required: false
          schema:
            type: string
        - name: sector_code_end
          in: query
          required: false
          schema:
            type: string
        - name: product_filter
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/_departure'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/_departure'
            application/xml:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/_departure'
            text/xml:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/_departure'
components:
  schemas:
    _departure:
      required:
        - product_datetime
      type: object
      properties:
        departure_key:
          type: string
        product_datetime:
          format: date-time
          type: string
        departure_datetime:
          format: date-time
          type: string
        product_code:
          type: string
        product_name:
          type: string
        product_keywords:
          type: string
        available_places:
          format: int32
          type: integer
        note:
          type: string
        list_order:
          format: int32
          type: integer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.